summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBen Kohler <bkohler@gentoo.org>2018-10-09 08:21:15 -0500
committerBen Kohler <bkohler@gentoo.org>2018-10-09 08:21:15 -0500
commit8b8fffd8d4865ce1ee80e1454958f91fb5d6a6ad (patch)
tree03dfece204acd8e2e749a6c4beee3d59a2512d3a /net-proxy
parentnet-proxy/tinyproxy: bump to 1.8.4 (diff)
downloadgentoo-8b8fffd8d4865ce1ee80e1454958f91fb5d6a6ad.tar.gz
gentoo-8b8fffd8d4865ce1ee80e1454958f91fb5d6a6ad.tar.bz2
gentoo-8b8fffd8d4865ce1ee80e1454958f91fb5d6a6ad.zip
net-proxy/tinyproxy: bump to 1.10.0
Bump. Remove obsolete sed replacements. Remove obsolete minimal USE flag. Signed-off-by: Ben Kohler <bkohler@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11
Diffstat (limited to 'net-proxy')
-rw-r--r--net-proxy/tinyproxy/Manifest1
-rw-r--r--net-proxy/tinyproxy/tinyproxy-1.10.0.ebuild71
2 files changed, 72 insertions, 0 deletions
diff --git a/net-proxy/tinyproxy/Manifest b/net-proxy/tinyproxy/Manifest
index 1e6308bec83..646feb115ba 100644
--- a/net-proxy/tinyproxy/Manifest
+++ b/net-proxy/tinyproxy/Manifest
@@ -1,2 +1,3 @@
+DIST tinyproxy-1.10.0.tar.xz 176060 BLAKE2B 58f9b443c731de6b74d689a80ebd422d3b6f51f643546ee144b37fb3262725246f6a5fa1015267a94f192f8715eaf71ffc078ead75e6225a210f58ec28ee8fcf SHA512 8d82598c5f9c89bc672f4632139ac52696d5c7788963de51688a8aeb576c69004f8338fe1e1897bf704a21dfd25ab1effb092003b6afaa9a88c2b5d0608310f5
DIST tinyproxy-1.8.3.tar.bz2 202430 BLAKE2B 1f85d6eb3a1b2cebe752f15e51869882c58f7dcafb2518511dd8c83c44a010a1cdac93e40e2c1f177a7687b126925258c79ff56011a42addd710b2009d546313 SHA512 69f1262b39d37f44a42621a0d25985632cdb790c8d9b49335a49a68c0f5237b97b111252856cba119895ac066770645560d2d7cd2de31f02103fa55fb4b3290c
DIST tinyproxy-1.8.4.tar.xz 192300 BLAKE2B bc425ab40d5d5fb49111d74d67e7ac848d77ad4be87039b34543a118df317839aa529c6b9ca52f1eafe933e7d344e09770a76ed0184181591483c6b3f1d79243 SHA512 23398a2c8a6d926b371086ba96032d0fd8dd06d114edf24950b868f53bb6b4235cd0f5d6b9a0131879fcc16bbe6b71142a6855de593a937ef7b0c323b50e0aec
diff --git a/net-proxy/tinyproxy/tinyproxy-1.10.0.ebuild b/net-proxy/tinyproxy/tinyproxy-1.10.0.ebuild
new file mode 100644
index 00000000000..1399b5a328c
--- /dev/null
+++ b/net-proxy/tinyproxy/tinyproxy-1.10.0.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit autotools systemd tmpfiles user
+
+DESCRIPTION="A lightweight HTTP/SSL proxy"
+HOMEPAGE="https://github.com/tinyproxy/tinyproxy/"
+SRC_URI="https://github.com/tinyproxy/tinyproxy/releases/download/${PV}/${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~sparc ~x86"
+
+IUSE="test debug +filter-proxy reverse-proxy transparent-proxy
++upstream-proxy +xtinyproxy-header"
+
+REQUIRED_USE="test? ( xtinyproxy-header )"
+
+pkg_setup() {
+ enewgroup ${PN}
+ enewuser ${PN} "" "" "" ${PN}
+}
+
+src_prepare() {
+ default
+
+ sed -i \
+ -e "s|nobody|${PN}|g" \
+ etc/${PN}.conf.in || die "sed failed"
+
+ eautoreconf
+}
+
+src_configure() {
+ econf \
+ $(use_enable debug) \
+ $(use_enable filter-proxy filter) \
+ $(use_enable reverse-proxy reverse) \
+ $(use_enable transparent-proxy transparent) \
+ $(use_enable upstream-proxy upstream) \
+ $(use_enable xtinyproxy-header xtinyproxy) \
+ --disable-silent-rules \
+ --localstatedir=/var
+}
+
+src_test() {
+ # The make check target does not run the test suite
+ emake test
+}
+
+src_install() {
+ default
+
+ dodoc AUTHORS ChangeLog NEWS README TODO
+
+ diropts -m0775 -o ${PN} -g ${PN}
+ keepdir /var/log/${PN}
+
+ newinitd "${FILESDIR}"/${PN}-1.8.3-r2.initd tinyproxy
+ systemd_dounit "${FILESDIR}"/${PN}.service
+ systemd_dotmpfilesd "${FILESDIR}"/${PN}.tmpfiles.conf
+}
+
+pkg_postinst() {
+ tmpfiles_process ${PN}.tmpfiles.conf
+
+ elog "For filtering domains and URLs, enable filter option in the configuration"
+ elog "file and add them to the filter file (one domain or URL per line)."
+}